<div class="jenkins-form">
    <div class="jenkins-form__container">
        <div class="jenkins-form__sidebar">
            <ul class="jenkins-form__integrations-list">
                <li class="jenkins-form__integrations-item"
                    ng-repeat="integration in $ctrl.integrations"
                    ng-click="$ctrl.onIntegrationSelect(integration)">
                    <button type="button" class="jenkins-form__integrations-button"
                        ng-class="{ _active: $ctrl.activeIntegration.id === integration.id}">
                        <md-icon class="jenkins-form__integrations-button-icon"
                            ng-class="{ _enabled: integration.enabled }">power_settings_new</md-icon>
                        <span class="jenkins-form__integrations-button-text">{{integration.name}}</span>
                    </button>
                </li>
            </ul>
        </div>
        <div class="jenkins-form__body">
            <test-provider-form integration-source="$ctrl.activeIntegration"
                custom-labels="$ctrl.customLabels"
                is-read-only-form="true"
                is-saving="$ctrl.isLoading"
                on-delete="$ctrl.onDeleteIntegration($data)"
                on-save="$ctrl.onSaveIntegration($data)"
                on-test="$ctrl.onTestIntegrationConnection($data)"
                on-update="$ctrl.onUpdateIntegration($data)">
            </test-provider-form>
        </div>
    </div>
</div>
